# Asterisk Project : Asterisk 13 Application_WaitForNoise

Created by wikibot on Aug 08, 2014

# WaitForNoise()

### Synopsis

Waits for a specified amount of noise.

### Description

Waits for up to noiserequired milliseconds of noise, iterations times. An optional timeout specified the number of seconds to return after, even if we do not receive the specified amount of noise. Use timeout with caution, as it may defeat the purpose of this application, which is to wait indefinitely until noise is detected on the line.

### Syntax

    WaitForNoise(noiserequired,[iterations,[timeout]])

##### Arguments

- `noiserequired`
- `iterations` - If not specified, defaults to `1`.
- `timeout` - Is specified only to avoid an infinite loop in cases where silence is never achieved.

### See Also

- Asterisk 13 Application_WaitForSilence

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538